Unused mouse clicks could toggle layer on and off when panning

2016-08-03 01:57 AM - Dan Jacobson

Status: Open

Priority: Low

Assignee:

Category: Actions

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 23314

Description

With Pan Map activated, (hand shaped cursor),

the user wishes to

pan the map,

toggle top layer off,

pan the map,

toggle top layer back on,

...

Currently he must

move the mouse off the map, to Layers panel, center the mouse upon the layer's

checkbox and click for each toggle.

It would be more helpful to allow the right click, or any other unused

mouse action, to do this. Hopefully immediately without going into menus

either.

That you might want to put more choices on the right click than just

"wasting it" for only "toggle layer on/off", could be configurable.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-10 11:36 AM - Regis Haubourg

- Resolution set to wontfix

- Priority changed from Normal to Low

- Description updated

Not sure toggling layers would be the most natural action for right clics with pan tool. And for complex projects, with layer order not the same as drawing

order, many layer groups, groups with "mutually exclusive" option, I'm not sure if that is really possible.

This use case could be achieved by a plugin and assigning a shortcut key to it's action(s).
